import { AfterViewInit, Component, OnInit } from '@angular/core'
import { ActivatedRoute, Router } from '@angular/router'

@Component({
  selector: 'app-actions',
  templateUrl: './actions.component.html',
  styleUrls: ['./actions.component.scss'],
  host: {
    class: 'content-container'
  }
})
export class ActionsComponent implements OnInit, AfterViewInit {
  public dsid: any
  public libds: string | undefined

  constructor(
    private route: ActivatedRoute,
    private router: Router
  ) {}

  public submittedTableScreen() {
    this.router.navigateByUrl('/stage/' + this.dsid)
  }

  public approveTableScreen() {
    this.router.navigateByUrl('/approve/approveDet/' + this.dsid)
  }

  public viewerTableScreen() {
    this.router.navigateByUrl('/view/data/' + this.libds)
  }

  public goBack() {
    this.router.navigateByUrl('/editor/' + this.libds)
  }

  async ngOnInit() {
    this.dsid = this.route.snapshot.params['dsid']
    this.libds = this.route.snapshot.params['libds']
  }

  ngAfterViewInit() {
    setTimeout(() => {
      let approvalBtn: any = window.document.getElementById('approvalBtn')
      if (!!approvalBtn) {
        approvalBtn.focus()
      }
    }, 700)
  }
}
